OVERLAY_VA_CREATE_LIST(3)

FUNCTION
overlay_va_create_list - Create a managed overlay object list.

SYNOPSIS
#include <karma_overlay.h>

KOverlayList overlay_va_create_list

(void *info, CONST char *name, ...)

DESCRIPTION
Create a managed overlay object list.

info
    The arbitrary information pointer for the overlay list. This may be NULL.

name
    The name to be associated with the list. If this is NULL a default name is choosen.

... The optional attributes are given as pairs of attribute-key attribute-value pairs. The list must be terminated with OVERLAY_ATT_END. See <-overlay_ATTRIBUTES-> for the list of attributes.

RETURN VALUE
A KOverlayList object on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/